API V1
  • Global information
  • Authentication
  • Data format
  • Rate Limit
  • Errors
  • Pagination
RESOURCES
  • Addon providers
  • Addons
  • Alerts
  • Applications
  • Audit Logs
  • Autoscalers
  • Billing
  • Collaborators
  • Container Sizes
  • Cron Tasks
  • Data Access Consents
  • Databases
  • Deployment
  • Domains
  • Environment variables
  • Event Categories
  • Event Types
    • List the event types
  • Events
  • Invoices
  • SSH Keys
  • Log Drains
  • Application Logs
  • Metrics
  • Notification Platforms
  • Notifiers
  • One-off Containers
  • Operations
  • Projects
  • Referral
  • Regions
  • SCM Integrations
  • Integration Link
  • Sources
  • Stacks
  • Tokens
  • User Account
LINKS
  • Addon Provider API
  • Database API
  • One-click Deployment API
  • scalingo.json Schema
  • Main site
  • Dashboard

Event Types

Event types represent the definition of the events which are published by the service. They are used by Notification Platforms and by Notifiers to configure which types of events will be sent to the configured destinations.

Event Type attributes

field type description
id string unique ID of event type
category_id string category ID of the type
name string camel case name of the type
display_name string fancy name of the type
description string description these events are produced

Example object:

  • Deployed Event
{
  "id": "5982f139d48c360021b1eb4b",
  "category_id": "5982f139d48c360021b1eb44",
  "name": "app_deployed",
  "display_named": "App Deployed",
  "description": "The app was deployed"
}

List the event types

This provides the list of event types to get IDs to create Notifiers.

GET https://$SCALINGO_API_URL/v1/event_types

Example

curl -H "Accept: application/json" -H "Content-Type: application/json" \
  -H "Authorization: Bearer $BEARER_TOKEN" https://$SCALINGO_API_URL/v1/event_types

Returns 200 OK

Response

{
  "event_types" : [
    {
      "name" : "app_deployed",
      "id" : "5982f139d48c360021b1eb4b",
      "category_id" : "5982f139d48c360021b1eb44",
      "display_name" : "App deployed",
      "description" : "An app was deployed"
    },
    {
      "display_name" : "App restarted",
      "description" : "An app was restarted",
      "name" : "app_restarted",
      "id" : "5982f139d48c360021b1eb4c",
      "category_id" : "5982f139d48c360021b1eb44"
    }, ...
  ]
}